package com.loafle.overflow.module.noauthprobe.dao;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.noauthprobe.model.NoAuthProbe;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by root on 17. 5. 30.
 */
@Repository
public interface NoAuthProbeDAO extends JpaRepository<NoAuthProbe, Long> {
//    NoAuthProbeDeprecate findByTempKey(NoAuthProbeDeprecate noAuthAgent);
//    List<NoAuthProbeDeprecate> findAllByNoAuth(NoAuthProbeDeprecate noAuthAgent);

//    @Query("SELECT n FROM NoAuthProbe n WHERE n.tempProbeKey = :tempProbeKey")
    NoAuthProbe findByTempProbeKey(String tempProbeKey);
//    @Query("select m from Member m WHERE m.email = :#{#m2.email}")
    @Query("SELECT n FROM NoAuthProbe n WHERE n.domain.id = :#{#domain.id} and n.status.id = 3") // 3 = Process
    List<NoAuthProbe> findAllByDomain(@Param("domain") Domain domain);
}
