package com.loafle.overflow.module.infra.service;

import com.loafle.overflow.module.infra.dao.InfraServiceDAO;
import com.loafle.overflow.module.infra.model.InfraService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */
@Service("InfraServiceService")
public class InfraServiceService {
    @Autowired
    InfraServiceDAO infraServiceDAO;

    public com.loafle.overflow.module.infra.model.InfraService regist(com.loafle.overflow.module.infra.model.InfraService infraService) {
        return this.infraServiceDAO.save(infraService);
    }

    public com.loafle.overflow.module.infra.model.InfraService read(long id) {
        return this.infraServiceDAO.findOne(id);
    }

    public InfraService readByService(long hostId, int portNumber, String portType) {
        return this.infraServiceDAO.findByService(hostId, portNumber, portType);
    }
}
