package com.loafle.overflow.module.history.service;

import com.loafle.overflow.module.history.model.History;
import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.meta.model.MetaHistoryType;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.spring.AppConfigTest;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Random;

/**
 * Created by insanity on 17. 8. 23.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class HistoryServiceTest {

    @Autowired
    private HistoryService historyService;

    @Test
    @Ignore
    public void registHistories() {
        for (int i=0;i<100;i++) {
            History h = new History();
            h.setMember(new Member(1));
            h.setProbe(new Probe(1));
            Random rand = new Random();
            int randomNum = rand.nextInt((6 - 1) + 1) + 1;
            h.setType(new MetaHistoryType(randomNum));
            h.setMessage("Test History " + i);
            this.historyService.regist(h);
        }
    }


//    @Test
//    @Ignore
//    public void readAllByProbeAndType() {
//        List<History> result = this.historyService.readAllByProbeAndType(new Probe(1), new MetaHistoryType(1));
//        Assert.assertNotNull(result);
//    }

//    @Test
//    public void readAllByProbeWithPaging() {
//        List<History> result = this.historyService.readAllByProbe(new Probe(1), 0, 10);
//        Assert.assertEquals(10, result.size());
//    }
}
